package com.sunwin.visitorapp.utils;

import android.util.Log;


public class LogUtil {
    public static final String TAG = "LogUtil";
    public static boolean isDebug = false;

    public static void debugLog(String msg) {
        if (isDebug) {
            Log.e(TAG, msg);
        }

    }

    public static void debugLog(String tag, String msg) {
        if (isDebug) {
            Log.e(tag, msg);
        }
    }

    public static void d(String tag, String msg) {
        if (isDebug) {
            Log.d(tag, msg);
        }
    }

    public static void e(String tag, String msg) {
        if (isDebug) {
            Log.e(tag, msg);
        }
    }






}
