package com.sunwin.visitorapp.utils;

import android.content.Context;
import android.content.SharedPreferences;

import com.sunwin.visitorapp.BaseApplication;

public class SharePrefenceUtils {


    public static boolean putString(String key, String value) {
        SharedPreferences settings = BaseApplication.getInstance().getSharedPreferences(BaseApplication.getInstance().getPackageName(), Context.MODE_PRIVATE);
        SharedPreferences.Editor editor = settings.edit();
        editor.putString(key, value);
        return editor.commit();
    }


    public static String getString(String key, String defaultValue) {
        SharedPreferences settings = BaseApplication.getInstance().getSharedPreferences(BaseApplication.getInstance().getPackageName(), Context.MODE_PRIVATE);
        return settings.getString(key, defaultValue);
    }

    public static long getLong(String key, long defaultValue) {
        SharedPreferences settings = BaseApplication.getInstance().getSharedPreferences(BaseApplication.getInstance().getPackageName(), Context.MODE_PRIVATE);
        return settings.getLong(key, defaultValue);
    }


    public static boolean putBoolean(String key, boolean value) {
        SharedPreferences settings = BaseApplication.getInstance().getSharedPreferences(BaseApplication.getInstance().getPackageName(), Context.MODE_PRIVATE);
        SharedPreferences.Editor editor = settings.edit();
        editor.putBoolean(key, value);
        return editor.commit();
    }


    public static boolean getBoolean(String key, boolean defaultValue) {
        SharedPreferences settings = BaseApplication.getInstance().getSharedPreferences(BaseApplication.getInstance().getPackageName(), Context.MODE_PRIVATE);
        return settings.getBoolean(key, defaultValue);
    }

    public static boolean putLong(String key, long value) {
        SharedPreferences settings = BaseApplication.getInstance().getSharedPreferences(BaseApplication.getInstance().getPackageName(), Context.MODE_PRIVATE);
        SharedPreferences.Editor editor = settings.edit();
        editor.putLong(key, value);
        return editor.commit();
    }

    public static boolean putInt(String key, int value) {
        SharedPreferences settings = BaseApplication.getInstance().getSharedPreferences(BaseApplication.getInstance().getPackageName(), Context.MODE_PRIVATE);
        SharedPreferences.Editor editor = settings.edit();
        editor.putInt(key, value);
        return editor.commit();
    }
    public static int getInt(String key, int defaultValue) {
        SharedPreferences settings = BaseApplication.getInstance().getSharedPreferences(BaseApplication.getInstance().getPackageName(), Context.MODE_PRIVATE);
        return settings.getInt(key, defaultValue);
    }
}
