package com.sunwin.visitorapp;

import android.app.Application;
import android.content.Context;

import com.sunwin.visitorapp.utils.PresentationManager;

import timber.log.Timber;

public class BaseApplication extends Application {
    private static BaseApplication mInstance;

    @Override
    public void onCreate() {
        super.onCreate();
        mInstance = this;
        /**
         * 仅在Debug时初始化Timber
         */
        if (BuildConfig.DEBUG) {
            Timber.plant(new Timber.DebugTree());
        }
        PresentationManager.checkAndShow(this);
    }

    public static Context getInstance() {
        return mInstance;
    }
}
