package com.sunwin.visitorapp.activity;

import android.app.AlertDialog;
import android.app.FragmentManager;
import android.app.FragmentTransaction;
import android.content.DialogInterface;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.provider.Settings;
import android.view.View;
import android.widget.LinearLayout;

import androidx.fragment.app.FragmentContainerView;

import com.sunwin.visitorapp.BaseActivity;
import com.sunwin.visitorapp.R;
import com.sunwin.visitorapp.fragment.HomeFr;
import com.sunwin.visitorapp.utils.PresentationManager;
import com.sunwin.visitorapp.view.DisplayWelcome;

import java.util.Timer;

import timber.log.Timber;

public class HomeAc extends BaseActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_home);

        FragmentManager fragmentmanager=getFragmentManager();
        FragmentTransaction fragmentTransaction =fragmentmanager.beginTransaction();
        //添加fragment
        fragmentTransaction.add(R.id.FragmentView, new HomeFr());

        fragmentTransaction.commit();
        fragmentmanager.executePendingTransactions();

        findViewById(R.id.MenuItemRegister).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                startActivity(new Intent(mContext,VisitorRegisterAc.class));
            }
        });



    }

    @Override
    protected void onResume() {
        super.onResume();

    }
}
